/***
	GradientView by J. Shan Bell
	Nov 7, 1993
	v1.1

	There are no restrictions on this code, it's in the public domain.  I accept
	no responsibility for it's fitness for any particular use.
***/


#import <appkit/appkit.h>

@interface GradientView:View
{
	NXColor topColor;
	NXColor bottomColor;
	id		topColorWell;
	id		bottomColorWell;
	id		inspectorPanel;
	BOOL    doingScreenSaver;
	BOOL	aColorWellHasChanged;
}

- initFrame:(const NXRect *)rect;

- oneStep;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- (BOOL)isBoringScreenSaver;
- getBottomColor: sender;
- getTopColor: sender;
- apply: sender;

- inspector: sender;
- (BOOL) useBufferedWindow;

- writeColors: sender;

- writeTopColor: sender;
- readTopColor: sender;
- writeBottomColor: sender;
- readBottomColor: sender;

- enteredScreenSaverMode;
- willExitScreenSaverMode;

@end
